; RMPrepUSB_Lite.nsi
;
; This script is based on example1.nsi, but it remembers the directory, 
; has uninstall support and (optionally) installs start menu shortcuts.
;
; It will install RMPrepUSB.exe into a directory that the user selects,

;--------------------------------

; The name of the installer
Name "RMPrepUSB"

; The file to write
OutFile "Install_RMPrepUSB_Lite.exe"

; The default installation directory
InstallDir $PROGRAMFILES\RMPrepUSB

; Registry key to check for directory (so if you install again, it will 
; overwrite the old one automatically)
InstallDirRegKey HKLM "Software\NSIS_RMPrepUSB" "Install_Dir"

; Request application privileges for Windows Vista/7
RequestExecutionLevel admin

;--------------------------------

; Pages

Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; The stuff to install
Section "RMPrepUSB (required)"

  SectionIn RO
  
  ; Set output path to the installation directory.
  SetOutPath $INSTDIR
 
  Delete $INSTDIR\RICHTX32.OCX
  Delete $INSTDIR\MSVBVM60.dll
  Delete $INSTDIR\showdrive.exe
  
  ; Put file here
  File "RMPrepUSB.exe"
;  File "MSVBVM60.DLL"
  File "grldr"
  File "grubinst.exe"
  File "ReadMe.txt"
  File "RMPARTUSB.exe.manifest"
  File "RMPartUSB.txt"
  File "RMPartUSB.exe"
  File "RMPREPUSB.exe.manifest"
  File "rmprepusbxp.cmd"
  File "rmprepusbxp_German.cmd"
  File "syslinux.exe"
  File "touchdrv.exe"
 ; File "showdrive.exe"
  File "GPL.txt"
  File "mke2fs.exe"
  
  ;SetOutPath $INSTDIR\WINPE_EXTRA
  ;File "WINPE_EXTRA\*.*"
 
  SetOutPath $INSTDIR\FREEDOS_USB_BOOT
  File "FREEDOS_USB_BOOT\*.*"

  SetOutPath $INSTDIR\LANG
  File "LANG\*.ini"
  File "LANG\*.rtf"
  File "LANG\RMprepusb.pdf"
  
  SetOutPath $INSTDIR\QEMU
  File "QEMU\*.*"

  ;SetOutPath $INSTDIR\TESTMBR
  ;File "TESTMBR\*.*"

  ;SetOutPath $INSTDIR\Syslinux
  ;File /r "Syslinux\*.*"

  CreateDirectory $INSTDIR\PEtoUSB
  SetOutPath $INSTDIR\PEtoUSB
  File /nonfatal /r "PEtoUSB\*.*"

  ; Write the installation path into the registry
  WriteRegStr HKLM SOFTWARE\NSIS_RMPrepUSB "Install_Dir" "$INSTDIR"
  
  ; Write the uninstall keys for Windows
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\RMPrepUSB" "DisplayName" "RMPrepUSB"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\RMPrepUSB" "UninstallString" '"$INSTDIR\uninstall.exe"'
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\RMPrepUSB" "NoModify" 1
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\RMPrepUSB" "NoRepair" 1
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Optional section (can be disabled by the user)
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\RMPrepUSB"
  CreateShortCut  "$SMPROGRAMS\RMPrepUSB\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  CreateShortCut  "$SMPROGRAMS\RMPrepUSB\RMPrepUSB.lnk" "$INSTDIR\RMPrepUSB.exe" "" "$INSTDIR\RMPrepUSB.exe" 0
  
SectionEnd

;--------------------------------

; Uninstaller

Section "Uninstall"
  
  ; Remove registry keys
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\RMPrepUSB"
  DeleteRegKey HKLM SOFTWARE\NSIS_RMPrepUSB
  DeleteRegKey HKCU "Software\VB and VBA Program Settings\RMPREPUSB"

  ; Remove files and uninstaller
  Delete $INSTDIR\RMPrepUSB.exe
  Delete $INSTDIR\uninstall.exe
  Delete $INSTDIR\RMPartUSB.exe
  
  Delete $INSTDIR\mke2fs.exe
  Delete $INSTDIR\GPL.txt
  Delete $INSTDIR\grldr
  Delete $INSTDIR\grubinst.exe
  Delete $INSTDIR\ReadMe.txt
  Delete $INSTDIR\RMPARTUSB.exe.manifest
  Delete $INSTDIR\RMPartUSB.txt
  Delete $INSTDIR\RMPREPUSB.exe.manifest
  Delete $INSTDIR\rmprepusbxp.cmd
  Delete $INSTDIR\rmprepusbxp_german.cmd
  Delete $INSTDIR\syslinux.exe
  Delete $INSTDIR\touchdrv.exe
  Delete $INSTDIR\RICHTX32.OCX
  Delete $INSTDIR\MSVBVM60.dll
  Delete $INSTDIR\showdrive.exe
  
  
  RMDir /r "$INSTDIR\RICHTX32"
  RMDir /r "$INSTDIR\PEtoUSB"
  RMDir /r "$INSTDIR\LANG"
  RMDir /r "$INSTDIR\TESTMBR"
  RMDir /r "$INSTDIR\FreeDOS_USB_BOOT"
  RMDir /r "$INSTDIR\Syslinux"
  RMDir /r "$INSTDIR\DLL"
  RMDir /r "$INSTDIR\QEMU"
 
   
  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\RMPrepUSB\*.*"
  Delete "$DESKTOP\RMPrepUSB.lnk"

  ; Remove directories used
  RMDir "$SMPROGRAMS\RMPrepUSB"
  ;remove directory if empty
  RMDir "$INSTDIR"
  
SectionEnd

Section "Desktop Shortcut" SectionX
    SetShellVarContext current
    CreateShortCut "$DESKTOP\RMPrepUSB.lnk" "$INSTDIR\RMPrepUSB.exe"
SectionEnd



